Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps
Class WPSDescription

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPSDescription

Direct Known Subclasses:
  InputDescription, IOValue, OutputDefinition, OutputDescription, ProcessBrief

    public class WPSDescription

extends Object

WPSDescription.java Created on 09.03.2006. 15:00:05h Description of a WPS process, input, or output object.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, Jeronimo Wanhoff , last edited by: $Author: mschneider $

Field Summary
`protected String` | `_abstract` Brief narrative description of a process, input, or output, normally available for display to a human.
`protected Code` | `identifier` Unambiguous identifier or name of a process, unique for this server, or unambiguous identifier or name of an input or output, unique for this process.
`protected String` | `title` Title of a process, input, or output, normally available for display to a human.

Constructor Summary
`WPSDescription(Code identifier, String title)`
`WPSDescription(Code identifier, String title, String _abstract)`

Method Summary
`String` | `getAbstract()`
`Code` | `getIdentifier()`
`String` | `getTitle()`
`void` | `setAbstract(String value)`
`void` | `setIdentifier(Code value)`
`void` | `setTitle(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    protected Code identifier

  Unambiguous identifier or name of a process, unique for this server, or unambiguous identifier or name of an input or output, unique for this process.

### title

    protected String title

  Title of a process, input, or output, normally available for display to a human.

### _abstract

    protected String _abstract

  Brief narrative description of a process, input, or output, normally available for display to a human.

Constructor Detail

### WPSDescription

    public WPSDescription(Code identifier,
                          String title,
                          String _abstract)

Parameters:
  `identifier` -
  `title` -
  `_abstract` -

### WPSDescription

    public WPSDescription(Code identifier,
                          String title)

Parameters:
  `identifier` -
  `title` -

Method Detail

### getIdentifier

    public Code getIdentifier()

  Returns:
    identifier

### setIdentifier

    public void setIdentifier(Code value)

  Parameters:
    `value` -

### getTitle

    public String getTitle()

  Returns:
    title

### setTitle

    public void setTitle(String value)

  Parameters:
    `value` -

### getAbstract

    public String getAbstract()

  Returns:
    abstract

### setAbstract

    public void setAbstract(String value)

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org